=== debian/changelog ===
libcomps (0.1.15-5build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:34:21 +0000

libcomps (0.1.15-5) unstable; urgency=medium

  * Remove python2 syntax. Closes: #997748

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sun, 02 Jan 2022 15:46:23 +0100

libcomps (0.1.15-4) unstable; urgency=medium

  * Team upload.
  * Source upload for testing migration. 

 -- Holger Levsen <holger@debian.org>  Wed, 03 Feb 2021 00:48:43 +0100

libcomps (0.1.15-3) unstable; urgency=medium

  * debian/copyright: Update and specify copyright holders

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Tue, 02 Feb 2021 14:09:48 +0100

libcomps (0.1.15-2) unstable; urgency=medium

  * debian/rules: Avoid using $(PWD) variable.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove listed license files (COPYING) from copyright.
  * Remove unnecessary get-orig-source-target.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Wed, 30 Dec 2020 09:43:31 -0000

libcomps (0.1.15-1) unstable; urgency=medium

  * Initial upload.
  * libcomps, librepo and libdnf are all needed for dnf, see #978627 (ITP bug
    for dnf) and https://github.com/QubesOS/qubes-issues/issues/5940 for more
    details on this packaging efford.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 26 Dec 2020 10:00:00 +0100
