=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(?:v|libcomps\-)?(\d\S+)\.tar\.gz/libcomps-$1\.tar\.gz/ \
  https://github.com/rpm-software-management/libcomps/releases .*/(?:v|libcomps\-)?(\d\S+)\.tar\.gz
