## libcomps 0.1.19

=== debian/changelog ===
libcomps (0.1.19-2) unstable; urgency=medium

  * Set myself to maintainer.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 07 Jan 2023 20:04:37 +0100

libcomps (0.1.19-1) unstable; urgency=medium

  * Update to libcomps-0.1.19.
  * Update debian/control: bump debhelper-compat to 13 and add
    python3-setuptools to Build-Depends.
  * Update debian/rules: remove reproducible flag being the default
    and remove not needed anymore PYTHON_DESIRED from dh_auto_configure.
    Also remove undeeded override of dh_install as debhelper is bumped.
  * Update debian/watch: update to use tags endpoint.
  * Cleanup undeeded patch for python2.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 12 Nov 2022 12:08:18 +0100
