=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libcomps
 Section: libs
 Priority: optional
-Maintainer: Mihai Moldovan <ionic@ionic.de>
-Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
-Build-Depends: debhelper-compat (= 10),
+Maintainer: Frédéric Pierret <frederic.pierret@qubes-os.org>
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-dev,
  libpython3-dev,
@@ -15,6 +14,7 @@
  python3-sphinx,
  check,
  zlib1g-dev,
+ python3-setuptools
 Standards-Version: 4.5.1
 Homepage: https://github.com/rpm-software-management/libcomps
 Vcs-Browser: https://salsa.debian.org/fepitre/libcomps
