## libcomps 0.1.20

=== debian/changelog ===
libcomps (0.1.20-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:52:34 +0000

libcomps (0.1.20-1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:16:51 +0100

libcomps (0.1.20-1) unstable; urgency=medium

  * Move package to pkg-rpm-team
  * Switch to git-buildpackage workflow
  * Update upstream source from tag 'upstream/0.1.20'
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2
  * Switch build dependency to pkgconf
  * Add d/salsa-ci.yml
  * Drop pkg-config dependency from libcomps-dev

 -- Luca Boccassi <bluca@debian.org>  Thu, 29 Feb 2024 13:26:33 +0000

libcomps (0.1.19-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move python3 modules from /usr/lib/local/ (Closes: #1052913)

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Oct 2023 15:32:45 +0000
