=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: libcomps
 Section: libs
 Priority: optional
-Maintainer: Frédéric Pierret <frederic.pierret@qubes-os.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>,
+           Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-dev,
  libpython3-dev,
  cmake,
- pkg-config,
+ pkgconf,
  libxml2-dev,
  libexpat1-dev,
  doxygen,
@@ -15,10 +18,11 @@
  check,
  zlib1g-dev,
  python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/rpm-software-management/libcomps
-Vcs-Browser: https://salsa.debian.org/fepitre/libcomps
-Vcs-Git: https://salsa.debian.org/fepitre/libcomps.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libcomps
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libcomps.git
 #Testsuite: autopkgtest-pkg-python
 
 Package: libcomps-dev
@@ -27,7 +31,6 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
  libcomps0 (= ${binary:Version}),
- pkg-config,
  libglib2.0-dev,
  libssl-dev,
  libcurl4-gnutls-dev,
