## libcomps 0.1.21

=== debian/changelog ===
libcomps (0.1.21-1build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:18:40 +0200

libcomps (0.1.21-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:05:33 +0100

libcomps (0.1.21-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.1.21'
  * Add new symbols to libcomps0

 -- Luca Boccassi <bluca@debian.org>  Sat, 23 Mar 2024 19:29:25 +0000
