=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libcomps
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>,
            Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
