=== debian/changelog ===
libcomps (0.1.22-1) unstable; urgency=medium

  * Remove Python 2 references from package description (Closes: #1082052)
  * d/control: bump Standards-Version to 4.7.2, no changes
  * Build with package-notes ELF stamping
  * Update upstream source from tag 'upstream/0.1.22'
  * Update patches for new release
  * Drop 0004-Set-CMAKE_SKIP_RPATH-to-TRUE.patch, no longer needed
  * Drop 0005-Disable-XML-doc-generation.patch and delete files manually
  * Add build-depends package to symbols file
  * d/copyright: use url for gpl sources
  * d/rules: drop dh_missing override
  * Add build dependency on pybuild-plugin-pyproject

 -- Luca Boccassi <bluca@debian.org>  Tue, 19 Aug 2025 00:26:15 +0100
