=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 %:
 	dh "${@}" --buildsystem=cmake --with=python3
@@ -19,6 +20,9 @@
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=build
+
+	# Drop XML files, not needed
+	rm -rf build/docs/libcomps-doc/xml
 
 	# Remove doctree files (redundant, conflicts with reproducible builds)
 	rm -rfv 'build/src/python/docs/html/.doctrees' 'build/docs/libcomps-doc/html/.doctrees'
@@ -37,6 +41,3 @@
 
 override_dh_auto_test:
 	dh_auto_test --builddirectory=build
-
-override_dh_missing:
-	dh_missing --fail-missing
