## libcomps 0.1.23

=== libcomps/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,9 @@
 project(libcomps C)
 
 cmake_policy(SET CMP0148 OLD)
+if ("${CMAKE_VERSION}" VERSION_GREATER_EQUAL "3.31")
 cmake_policy(SET CMP0175 NEW)
+endif()
 
 include (GNUInstallDirs)
 include (${CMAKE_ROOT}/Modules/CheckFunctionExists.cmake)
