=== debian/changelog ===
libcomps (0.1.23-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.1.23'
  * Drop 0003-Doxyfile.user.in_make-builds-reproducible.patch, merged
    upstream
  * Add d/clean to remove additional build artifacts (Closes: #1048234)

 -- Luca Boccassi <bluca@debian.org>  Sat, 13 Sep 2025 18:40:22 +0100
