=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
            Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ dh-package-notes,
+ pybuild-plugin-pyproject,
  python3-dev,
  libpython3-dev,
  cmake,
@@ -17,7 +19,7 @@
  check,
  zlib1g-dev,
  python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/rpm-software-management/libcomps
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libcomps
@@ -76,13 +78,13 @@
 Depends: ${sphinxdoc:Depends}, ${misc:Depends},
  libjs-jquery,
  libjs-underscore,
-Description: Python 2 and 3 bindings for the libcomps library (common documentation)
+Description: Python 3 bindings for the libcomps library (common documentation)
  Libcomps is library for structure-like manipulation of content in
  comps XML files. Supports reading/writing XML files and structure
  modifications.
  .
- This package installs common documentation for the libcomps Python
- 2 and 3 bindings.
+ This package installs common documentation for the libcomps Python 3
+ bindings.
 
 Package: python3-libcomps
 Architecture: any
