=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,6 @@
 		   'build/src/python/docs/html/_static/searchtools.js'
 
 override_dh_auto_clean:
-	rm -rf libcomps/docs/Doxyfile.user
 	dh_auto_clean --builddirectory=build
 
 override_dh_auto_test:
