=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/libcomps-$1\.tar\.gz/ \
  https://github.com/rpm-software-management/libcomps/tags .*/@ANY_VERSION@\.tar\.gz
