## libcomps 0.1.24

=== libcomps/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,11 @@
 cmake_minimum_required (VERSION 3.10)
 project(libcomps C)
 
-cmake_policy(SET CMP0148 OLD)
+if("${CMAKE_VERSION}" VERSION_GREATER_EQUAL "3.27")
+  cmake_policy(SET CMP0148 OLD)
+endif()
 if ("${CMAKE_VERSION}" VERSION_GREATER_EQUAL "3.31")
-cmake_policy(SET CMP0175 NEW)
+  cmake_policy(SET CMP0175 NEW)
 endif()
 
 include (GNUInstallDirs)
@@ -16,7 +18,7 @@
 
 set(LIBCOMPS_OUT "${CMAKE_CURRENT_BINARY_DIR}/src")
 
-set (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} --pedantic -std=c99 -Wall -Wextra -g -Wno-missing-field-initializers -O2 -fno-strict-aliasing -g")
+set (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} --pedantic -std=c99 -Wall -Wextra -Wno-missing-field-initializers -O2 -fno-strict-aliasing")
 set (CMAKE_C_FLAGS_DEBUG    "${CMAKE_C_FLAGS} -ggdb -O0 -Wall -Wextra")
 
 set (VERSION "${libcomps_VERSION_MAJOR}.${libcomps_VERSION_MINOR}.${libcomps_VERSION_PATCH}")
