=== debian/changelog ===
libcomps (0.1.24-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.1.24'
  * Drop priority from d/control, now defaults to optional
  * Drop Rules-Requires-Root, now defaults to no
  * Bump Standards-version to 4.7.3

 -- Luca Boccassi <bluca@debian.org>  Thu, 26 Feb 2026 15:30:05 +0000
