=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libcomps
 Section: libs
-Priority: optional
 Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>,
            Luca Boccassi <bluca@debian.org>,
@@ -19,8 +18,7 @@
  check,
  zlib1g-dev,
  python3-setuptools
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/rpm-software-management/libcomps
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libcomps
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libcomps.git
